--TRIGGER
function()
    return true --always on
end

--DURATION
function()
	if GetSpecialization() == 1 then
		local AP = select(4, UnitDebuff("focus", "Judgment of Light")) or 0
		local maxAP = 40
		return maxAP - AP, maxAP, 1
	end
	if GetSpecialization() == 2 then
		local AP = 0
		local maxAP = 0
		for i = 1, 40 do
			if UnitExists("nameplate" .. i) and UnitDebuff("nameplate" .. i,"Judgment of Light") then
				local APP = select(4, UnitDebuff("nameplate" .. i, "Judgment of Light")) or 0
				maxAP = maxAP + 40
				AP = AP + APP
			end
		end
		return maxAP - AP, maxAP, 1
	end
end